Bug 1285213 - (CVE-2015-8345) CVE-2015-8345 Qemu: net: eepro100: infinite loop in processing command block list
CVE-2015-8345 Qemu: net: eepro100: infinite loop in processing command block ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151120,repor...
: Security
Depends On: 1285214 1285215
Blocks: 1257953
  Show dependency treegraph
 
Reported: 2015-11-25 03:49 EST by Prasad J Pandit
Modified: 2018-01-30 18:54 EST (History)
42 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An infinite-loop flaw was discovered in the QEMU emulator built with i8255x (PRO100) emulation support. When processing a chain of commands located in the Command Block List(CBL), each Command Block(CB) points to the next command in the list. If the link to the next CB pointed to the same block or if there was a closed loop in the chain, an infinite loop would execute the same command over and over again. A privileged user inside the guest could use this flaw to crash the QEMU instance, resulting in denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-11-25 03:49:21 EST
Qemu emulator built with the i8255x (PRO100) emulation support is vulnerable
to an infinite loop issue. It could occur while processing a chain of commands
located in the Command Block List(CBL). Each Command Block(CB) points to the
next command in the list. An infinite loop unfolds if the link to the next
CB points to the same block or there is a closed loop in the chain.

A privileged(CAP_SYS_RAWIO) user inside guest could use this flaw to crash
the Qemu instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-10/msg03911.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/11/25/11
Comment 1 Prasad J Pandit 2015-11-25 03:50:55 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1285215]
Comment 2 Prasad J Pandit 2015-11-25 03:51:11 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1285214]
Comment 3 Prasad J Pandit 2015-11-25 03:58:13 EST
Acknowledgements:

This issue was discovered by Qinghao Tang of QIHU 360 Marvel Team.
Comment 4 Prasad J Pandit 2015-11-25 04:03:06 EST
Statement: 

This issue affects the kvm package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3. 

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/
Comment 6 Fedora Update System 2015-12-17 02:25:16 EST
xen-4.5.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-17 02:29:44 EST
qemu-2.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-12-19 19:21:46 EST
xen-4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.